Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1506884 - Package Zaqar Tempest Plugin
Summary: Package Zaqar Tempest Plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS 1533570
TreeView+ depends on / blocked
 
Reported: 2017-10-27 05:18 UTC by Chandan Kumar
Modified: 2018-01-11 17:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 14:04:42 UTC
amoralej: rdo-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 10309 None master: MERGED rdoinfo: Add Zaqar Tempest Plugin (I83154155c13ffc4baa65073165b1c22b9fc50dca) 2018-01-23 14:18:49 UTC
RDO 10312 None master: MERGED config: Create project for zaqar-tempest-plugin (I222bcc54538d6995364a3516c955ecf3dd2e6c2e) 2018-01-23 14:18:43 UTC
RDO 10318 None rpm-master: MERGED openstack/zaqar-tempest-plugin-distgit: Initial import of zaqar tempest plugin (I9e0f26588dac897320b65d5c53b66521f957273... 2018-01-23 14:18:37 UTC
RDO 10320 None rpm-master: MERGED openstack/zaqar-distgit: Remove zaqar tempest plugin from zaqar project (Idb9fcc3d970bc4b27bfe1c1be186efaadf0f161a) 2018-01-23 14:18:30 UTC
RDO 10442 None master: MERGED rdoinfo: Enable queens for zaqar-tempest-plugin (I9b889c2e971fed8778c2425eb2b130dbab07ccd3) 2018-01-23 14:18:24 UTC

Description Chandan Kumar 2017-10-27 05:18:07 UTC
https://review.openstack.org/#/c/504899/ marks the arrival of Zaqar Tempest Plugin. Let's package it to avoid CI breakage.

Comment 1 Chandan Kumar 2017-10-27 05:24:18 UTC
rdoinfo review: https://review.rdoproject.org/r/#/c/10309/

Comment 2 Javier Peña 2017-10-27 08:06:16 UTC
Initial licensecheck output:

./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./zaqar_tempest_plugin/config.py: Apache (v2.0)
./zaqar_tempest_plugin/plugin.py: Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./zaqar_tempest_plugin/tests/base.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v1/test_claims.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v1/test_messages.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v1/test_queues.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v1_1/test_claims.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v1_1/test_messages.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v1_1/test_queues.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v2/test_claims.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v2/test_claims_negative.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v2/test_messages.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v2/test_messages_negative.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v2/test_queues.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v2/test_queues_negative.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v2/test_subscriptions.py: Apache (v2.0)
./zaqar_tempest_plugin/tests/v2/test_subscriptions_negative.py: Apache (v2.0)
./zaqar_tempest_plugin/api_schema/response/v1/queues.py: Apache (v2.0)
./zaqar_tempest_plugin/api_schema/response/v1_1/queues.py: Apache (v2.0)
./zaqar_tempest_plugin/api_schema/response/v2/queues.py: Apache (v2.0)
./zaqar_tempest_plugin/services/messaging/json/messaging_client.py: Apache (v2.0)

The project is licensed with the Apache 2.0 license.

Comment 4 Alfredo Moralejo 2017-11-08 12:04:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 18 files have unknown
     license. Detailed output of licensecheck in /tmp/python-zaqar-tests-
     tempest/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -zaqar-tests-tempest , python-zaqar-tests-tempest-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev50
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-zaqar-tests-tempest-0.0.1-0.20171102170526.3021966.el7.centos.noarch.rpm
          python-zaqar-tests-tempest-doc-0.0.1-0.20171102170526.3021966.el7.centos.noarch.rpm
          python-zaqar-tests-tempest-0.0.1-0.20171102170526.3021966.el7.centos.src.rpm
python2-zaqar-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-zaqar-tests-tempest.noarch: E: no-changelogname-tag
python-zaqar-tests-tempest-doc.noarch: W: summary-not-capitalized C python-zaqar-tests-tempest documentation
python-zaqar-tests-tempest-doc.noarch: E: no-changelogname-tag
python-zaqar-tests-tempest.src: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python-zaqar-tests-tempest.src: E: no-changelogname-tag
python-zaqar-tests-tempest.src: W: invalid-url Source0: zaqar_tempest_plugin-0.0.1.dev50-0.20171102170526.3021966.tar.gz
3 packages and 0 specfiles checked; 5 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python-zaqar-tests-tempest-doc.noarch: W: summary-not-capitalized C python-zaqar-tests-tempest documentation
python-zaqar-tests-tempest-doc.noarch: E: no-changelogname-tag
python-zaqar-tests-tempest-doc.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/zaqar-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python2-zaqar-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-zaqar-tests-tempest.noarch: E: no-changelogname-tag
python2-zaqar-tests-tempest.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/zaqar-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 3 errors, 3 warnings.



Requires
--------
python-zaqar-tests-tempest-doc (rpmlib, GLIBC filtered):

python2-zaqar-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-oslo-config
    python-oslo-serialization
    python-oslo-utils
    python-pbr
    python-six
    python-tempest
    python-testtools



Provides
--------
python-zaqar-tests-tempest-doc:
    python-zaqar-tests-tempest-doc

python2-zaqar-tests-tempest:
    python-zaqar-tests-tempest
    python2-zaqar-tests-tempest



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -rn python-zaqar-tests-tempest-0.0.1-0.20171102170526.3021966.el7.centos.src.rpm
Buildroot used: dlrn-centos-master-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6



Regarding errors:

- This spec has been prepared for DLRN which doesn't use changelog.

Package is APPROVED

Comment 5 Yatin Karel 2017-12-12 14:04:42 UTC
The package is imported in RDO.
Here is the dist-git URL with spec file imported: https://github.com/rdo-packages/zaqar-tempest-plugin-distgit/commit/16543db98a3089b30df29e2948bbc44e7843aa91
Package is available on trunk.rdoproject.org: https://trunk.rdoproject.org/centos7-master/current/python2-zaqar-tests-tempest-0.0.1-0.20171208022736.7e69ec2.el7.centos.noarch.rpm


Note You need to log in before you can comment on or make changes to this bug.